#{extends 'border.html'/}
<div class="container">

    <div class="row">
        <div class="col-md-12">
            <!-- Breadcrumb -->
            <ol class="breadcrumb">
                <li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
                <li><a href="@{prakatalog.PenawaranCtr.index()}">&{'daftar_penawaran.label'}</a></li>
                <li><a href="@{prakatalog.PenawaranCtr.detail(penawaranId)}">&{'detail_penawaran.label'}</a></li>
                <li class="active">&{'tambah.label'} &{'berita_acara.label'}</li>
            </ol>
            <!-- End Breadcrumb -->
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <!-- Toolbar -->
            <div class="toolbar">
                #{backButton /}
            </div>
            <!-- End Toolbar -->
            #{alert /}
        </div>
    </div>

    <div class="row">
        <div class="wizard-form-wrapper">
            <div class="padded">
                <div class="panel panel-default">
                    <div class="panel-body">
                        <div class="row">
                            <form id="formCreateBeritaAcara" class="form-horizontal berita-acara-form" action="@{prakatalog.PenawaranCtr.storeBeritaAcara()}" enctype="multipart/form-data" method="POST">
                            #{authenticityToken /}
                                <div class="tab-content">
                                    <div class="tab-pane active" id="tab1">
                                        <input type="hidden" class="form-control" name="dokumen_id" value="${doc?.id}"/>
                                        <input type="hidden" class="form-control" name="model.penawaran_id" value="${penawaranId}"/>
                                        <div class="form-group required">
                                            <label class="col-md-2 control-label">&{'jenis_berita_acara.label'}</label>
                                            <div class="col-md-4">
                                                <input class="form-control deskripsi-ba" name="model.deskripsi"/>
                                            </div>
                                        </div>
                                        <div class="form-group required">
                                            <label class="col-md-2 control-label">&{'nomor_berita_acara.label'}</label>
                                            <div class="col-md-4">
                                                <input class="form-control nomor-ba" name="model.no_ba"/>
                                            </div>
                                        </div>
                                        <div class="form-group required">
                                            <label class="col-md-2 control-label">&{'tanggal_berita_acara.label'}</label>
                                            <div class="col-md-2">
                                                <input class="form-control datepicker tanggal-ba" name="model.tanggal_berita_acara" />
                                            </div>
                                        </div>
                                        <div class="form-group">
                                            <div class="col-md-20">
                                                <textarea id="mytextarea" name="model.dokumen_ba" rows="20" class="form-control">#{printBerita doc.template/}</textarea>
                                            </div>
                                        </div>
                                        <ul class="pager wizard">
                                            <li class="next"><a href="#" class="btn btn-md btn-primary save" >&{'save'}</a></li>
                                        </ul>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

</div>

#{set 'moreLibs'}
<script src="@{'/public/javascripts/tinymce/tinymce.js'}" type="text/javascript"> </script>
#{/set }

#{set 'moreScripts'}
<script src="@{'/public/javascripts/toast/jquery.toast.min.js'}" type="text/javascript"> </script>
<script type="text/javascript">
    jQuery(document).ready(function() {
        jQuery('.save').click(function () {
            var valid = true;
            var deskripsi = jQuery('.deskripsi-ba');
            var no_ba = jQuery('.nomor-ba');
            var tanggal_ba = jQuery('.tanggal-ba');
            if (deskripsi.val() === '') {
                valid = false;
                showToast('&{'prakatalog.penawaran.ba.jenis_empty'}')
            }

            if (no_ba.val() === '') {
                valid = false;
                showToast('&{'prakatalog.penawaran.ba.nomor_empty'}')
            }

            if (tanggal_ba.val() === '') {
                valid = false;
                showToast('&{'prakatalog.penawaran.ba.tanggal_empty'}')
            }

            if (tanggal_ba.val().match(/^(\d{2})-(\d{2})-(\d{4})$/) === null) {
                valid = false;
                showToast('&{'prakatalog.penawaran.ba.tanggal_wrong_format'}')
            }

            if (valid) {
                jQuery('.berita-acara-form').submit();
            }
        });

        jQuery('.berita-acara-form').submit(function(){
            var baDocs  = tinymce.get('mytextarea').getContent();
            var baDocsE = htmlEscape(baDocs);
            tinymce.get('mytextarea').setContent(baDocsE);
        });

        function showToast(message) {
            jQuery.toast({
                heading: 'Oops',
                text: message,
                position: 'bottom-center',
                stack: false,
                icon: 'error',
                hideAfter: 6000
            })
        }
    });

    tinymce.init({
        selector: '#mytextarea',
        images_upload_base_path: "@{'/public/files/image'}",
        plugins : 'advlist autolink link image lists charmap print preview code',
        a_plugin_option: true,
        a_configuration_option: 400,
        images_upload_handler: function (blobInfo, success, failure) {
            var xhr, formData;
            xhr = new XMLHttpRequest();
            xhr.withCredentials = false;
            xhr.open('POST', '@{MediaManager.upload()}');

            xhr.onload = function() {
                var json;

                if (xhr.status != 200) {
                    failure('HTTP Error: ' + xhr.status);
                    return;
                }

                json = JSON.parse(xhr.responseText);

                if (!json || typeof json.location != 'string') {
                    failure('Invalid JSON: ' + xhr.responseText);
                    return;
                }

                success(json.location);
            };

            formData = new FormData();
            formData.append('file', blobInfo.blob(), blobInfo.filename());

            xhr.send(formData);
        },
        image_caption: true,
        image_list: "@{MediaManager.listImageGallery()}"
    });
</script>
#{/set}